Index: uspace/app/vuhid/stdreq.c
===================================================================
--- uspace/app/vuhid/stdreq.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/vuhid/stdreq.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,5 +43,5 @@
 	vuhid_data_t *vuhid = device->device_data
 
-errno_t req_get_descriptor(usbvirt_device_t *device,
+int req_get_descriptor(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -70,5 +70,5 @@
 }
 
-errno_t req_set_protocol(usbvirt_device_t *device,
+int req_set_protocol(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -89,5 +89,5 @@
 }
 
-errno_t req_set_report(usbvirt_device_t *device,
+int req_set_report(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -109,5 +109,5 @@
 
 	/* SET_REPORT is translated to data out */
-	errno_t rc = iface->on_data_out(iface, data, data_length);
+	int rc = iface->on_data_out(iface, data, data_length);
 
 	return rc;
Index: uspace/app/vuhid/stdreq.h
===================================================================
--- uspace/app/vuhid/stdreq.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/vuhid/stdreq.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,13 +38,13 @@
 #include <usbvirt/device.h>
 
-errno_t req_get_descriptor(usbvirt_device_t *device,
+int req_get_descriptor(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size);
 
-errno_t req_set_protocol(usbvirt_device_t *device,
+int req_set_protocol(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size);
 
-errno_t req_set_report(usbvirt_device_t *device,
+int req_set_report(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size);
Index: uspace/app/vuhid/virthid.h
===================================================================
--- uspace/app/vuhid/virthid.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/vuhid/virthid.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -70,6 +70,6 @@
 	size_t out_data_size;
 
-	errno_t (*on_data_in)(vuhid_interface_t *, void *, size_t, size_t *);
-	errno_t (*on_data_out)(vuhid_interface_t *, const void *, size_t);
+	int (*on_data_in)(vuhid_interface_t *, void *, size_t, size_t *);
+	int (*on_data_out)(vuhid_interface_t *, const void *, size_t);
 	void (*live)(vuhid_interface_t *);
 
@@ -114,9 +114,9 @@
 } __attribute__ ((packed)) hid_descriptor_t;
 
-errno_t add_interface_by_id(vuhid_interface_t **, const char *, usbvirt_device_t *);
+int add_interface_by_id(vuhid_interface_t **, const char *, usbvirt_device_t *);
 void wait_for_interfaces_death(usbvirt_device_t *);
 
 void interface_life_live(vuhid_interface_t *);
-errno_t interface_live_on_data_in(vuhid_interface_t *, void *, size_t, size_t *);
+int interface_live_on_data_in(vuhid_interface_t *, void *, size_t, size_t *);
 
 
Index: uspace/app/wavplay/dplay.c
===================================================================
--- uspace/app/wavplay/dplay.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/wavplay/dplay.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -148,5 +148,5 @@
 	const size_t fragment_size = pb->buffer.size / DEFAULT_FRAGMENTS;
 	printf("Registering event callback\n");
-	errno_t ret = audio_pcm_register_event_callback(pb->device,
+	int ret = audio_pcm_register_event_callback(pb->device,
 	    device_event_callback, pb);
 	if (ret != EOK) {
@@ -282,5 +282,5 @@
 
 		if (!started) {
-			errno_t ret = audio_pcm_start_playback(pb->device,
+			int ret = audio_pcm_start_playback(pb->device,
 			    pb->f.channels, pb->f.sampling_rate,
 			    pb->f.sample_format);
@@ -309,5 +309,5 @@
 			async_usleep(real_delay);
 		/* update buffer position */
-		const errno_t ret = audio_pcm_get_buffer_pos(pb->device, &pos);
+		const int ret = audio_pcm_get_buffer_pos(pb->device, &pos);
 		if (ret != EOK) {
 			printf("Failed to update position indicator %s\n",
@@ -329,9 +329,9 @@
  * @param device The device.
  * @param file The file.
- * @return 0 on success, non-zero on failure.
+ * @return Error code.
  */
 int dplay(const char *device, const char *file)
 {
-	errno_t ret = EOK;
+	int ret = EOK;
 	audio_pcm_sess_t *session = NULL;
 	if (str_cmp(device, "default") == 0) {
@@ -345,7 +345,5 @@
 	}
 	printf("Playing on device: %s.\n", device);
-	sysarg_t val;
-	ret = audio_pcm_query_cap(session, AUDIO_CAP_PLAYBACK, &val);
-	if (ret != EOK || !val) {
+	if (audio_pcm_query_cap(session, AUDIO_CAP_PLAYBACK) <= 0) {
 		printf("Device %s does not support playback\n", device);
 		ret = ENOTSUP;
@@ -353,5 +351,5 @@
 	}
 
-	char* info = NULL;
+	const char* info = NULL;
 	ret = audio_pcm_get_info_str(session, &info);
 	if (ret != EOK) {
@@ -388,10 +386,8 @@
 		goto cleanup;
 	}
-	ret = audio_pcm_query_cap(pb.device, AUDIO_CAP_BUFFER_POS, &val);
-	if (ret == EOK && val) {
+	if (audio_pcm_query_cap(pb.device, AUDIO_CAP_BUFFER_POS) > 0) {
 		play(&pb);
 	} else {
-		ret = audio_pcm_query_cap(pb.device, AUDIO_CAP_INTERRUPT, &val);
-		if (ret == EOK && val)
+		if (audio_pcm_query_cap(pb.device, AUDIO_CAP_INTERRUPT) > 0)
 			play_fragment(&pb);
 		else
Index: uspace/app/wavplay/drec.c
===================================================================
--- uspace/app/wavplay/drec.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/wavplay/drec.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,5 +42,4 @@
 #include <as.h>
 #include <inttypes.h>
-#include <str.h>
 
 #include "wave.h"
@@ -140,5 +139,5 @@
 	assert(rec);
 	assert(rec->device);
-	errno_t ret = audio_pcm_register_event_callback(rec->device,
+	int ret = audio_pcm_register_event_callback(rec->device,
 	    device_event_callback, rec);
 	if (ret != EOK) {
@@ -171,11 +170,10 @@
  * @param device The device.
  * @param file The file.
- * @return 0 on succes, non-zero on failure.
+ * @return Error code.
  */
 int drecord(const char *device, const char *file)
 {
-	errno_t ret = EOK;
+	int ret = EOK;
 	audio_pcm_sess_t *session = NULL;
-	sysarg_t val;
 	if (str_cmp(device, "default") == 0) {
 		session = audio_pcm_open_default();
@@ -188,6 +186,5 @@
 	}
 	printf("Recording on device: %s.\n", device);
-	ret = audio_pcm_query_cap(session, AUDIO_CAP_CAPTURE, &val);
-	if (ret != EOK || !val) {
+	if (audio_pcm_query_cap(session, AUDIO_CAP_CAPTURE) <= 0) {
 		printf("Device %s does not support recording\n", device);
 		ret = ENOTSUP;
@@ -195,5 +192,5 @@
 	}
 
-	char* info = NULL;
+	const char* info = NULL;
 	ret = audio_pcm_get_info_str(session, &info);
 	if (ret != EOK) {
@@ -228,6 +225,5 @@
 		goto cleanup;
 	}
-	ret = audio_pcm_query_cap(rec.device, AUDIO_CAP_INTERRUPT, &val);
-	if (ret == EOK && val)
+	if (audio_pcm_query_cap(rec.device, AUDIO_CAP_INTERRUPT) > 0)
 		record_fragment(&rec, format);
 	else
Index: uspace/app/wavplay/main.c
===================================================================
--- uspace/app/wavplay/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/wavplay/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -57,5 +57,5 @@
  * @return Error code.
  */
-static errno_t hplay_ctx(hound_context_t *ctx, const char *filename)
+static int hplay_ctx(hound_context_t *ctx, const char *filename)
 {
 	printf("Hound context playback: %s\n", filename);
@@ -76,5 +76,5 @@
 	pcm_format_t format;
 	const char *error;
-	errno_t ret = wav_parse_header(&header, NULL, NULL, &format.channels,
+	int ret = wav_parse_header(&header, NULL, NULL, &format.channels,
 	    &format.sampling_rate, &format.sample_format, &error);
 	if (ret != EOK) {
@@ -118,5 +118,5 @@
  * @return Error code
  */
-static errno_t hplay(const char *filename)
+static int hplay(const char *filename)
 {
 	printf("Hound playback: %s\n", filename);
@@ -137,5 +137,5 @@
 	pcm_format_t format;
 	const char *error;
-	errno_t ret = wav_parse_header(&header, NULL, NULL, &format.channels,
+	int ret = wav_parse_header(&header, NULL, NULL, &format.channels,
 	    &format.sampling_rate, &format.sample_format, &error);
 	if (ret != EOK) {
@@ -197,9 +197,9 @@
  * @return Error code.
  */
-static errno_t play_wrapper(void *arg)
+static int play_wrapper(void *arg)
 {
 	assert(arg);
 	fib_play_t *p = arg;
-	const errno_t ret = hplay_ctx(p->ctx, p->file);
+	const int ret = hplay_ctx(p->ctx, p->file);
 	atomic_dec(p->count);
 	free(arg);
@@ -289,5 +289,5 @@
 			return 1;
 		}
-		const errno_t ret = hound_context_connect_target(hound_ctx,
+		const int ret = hound_context_connect_target(hound_ctx,
 		    HOUND_DEFAULT_TARGET);
 		if (ret != EOK) {
Index: uspace/app/wavplay/wave.c
===================================================================
--- uspace/app/wavplay/wave.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/wavplay/wave.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -52,5 +52,5 @@
  * Does sanity checks and endian conversion.
  */
-errno_t wav_parse_header(const void *hdata, const void **data, size_t *data_size,
+int wav_parse_header(const void *hdata, const void **data, size_t *data_size,
     unsigned *channels, unsigned *sampling_rate, pcm_sample_format_t *format,
     const char **error)
Index: uspace/app/wavplay/wave.h
===================================================================
--- uspace/app/wavplay/wave.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/wavplay/wave.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -90,5 +90,5 @@
 } wave_header_t;
 
-errno_t wav_parse_header(const void *, const void**, size_t *, unsigned *,
+int wav_parse_header(const void *, const void**, size_t *, unsigned *,
     unsigned *, pcm_sample_format_t *, const char **);
 
Index: uspace/app/websrv/websrv.c
===================================================================
--- uspace/app/websrv/websrv.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/websrv/websrv.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -134,5 +134,5 @@
 
 
-static errno_t recv_create(tcp_conn_t *conn, recv_t **rrecv)
+static int recv_create(tcp_conn_t *conn, recv_t **rrecv)
 {
 	recv_t *recv;
@@ -157,8 +157,8 @@
 
 /** Receive one character (with buffering) */
-static errno_t recv_char(recv_t *recv, char *c)
+static int recv_char(recv_t *recv, char *c)
 {
 	size_t nrecv;
-	errno_t rc;
+	int rc;
 	
 	if (recv->rbuf_out == recv->rbuf_in) {
@@ -168,5 +168,5 @@
 		rc = tcp_conn_recv_wait(recv->conn, recv->rbuf, BUFFER_SIZE, &nrecv);
 		if (rc != EOK) {
-			fprintf(stderr, "tcp_conn_recv() failed: %s\n", str_error(rc));
+			fprintf(stderr, "tcp_conn_recv() failed (%d)\n", rc);
 			return rc;
 		}
@@ -180,5 +180,5 @@
 
 /** Receive one line with length limit */
-static errno_t recv_line(recv_t *recv, char **rbuf)
+static int recv_line(recv_t *recv, char **rbuf)
 {
 	char *bp = recv->lbuf;
@@ -187,5 +187,5 @@
 	while (bp < recv->lbuf + BUFFER_SIZE) {
 		char prev = c;
-		errno_t rc = recv_char(recv, &c);
+		int rc = recv_char(recv, &c);
 		
 		if (rc != EOK)
@@ -226,5 +226,5 @@
 }
 
-static errno_t send_response(tcp_conn_t *conn, const char *msg)
+static int send_response(tcp_conn_t *conn, const char *msg)
 {
 	size_t response_size = str_size(msg);
@@ -233,5 +233,5 @@
 	    fprintf(stderr, "Sending response\n");
 	
-	errno_t rc = tcp_conn_send(conn, (void *) msg, response_size);
+	int rc = tcp_conn_send(conn, (void *) msg, response_size);
 	if (rc != EOK) {
 		fprintf(stderr, "tcp_conn_send() failed\n");
@@ -242,9 +242,9 @@
 }
 
-static errno_t uri_get(const char *uri, tcp_conn_t *conn)
+static int uri_get(const char *uri, tcp_conn_t *conn)
 {
 	char *fbuf = NULL;
 	char *fname = NULL;
-	errno_t rc;
+	int rc;
 	size_t nr;
 	int fd = -1;
@@ -259,11 +259,12 @@
 		uri = "/index.html";
 	
-	if (asprintf(&fname, "%s%s", WEB_ROOT, uri) < 0) {
+	rc = asprintf(&fname, "%s%s", WEB_ROOT, uri);
+	if (rc < 0) {
 		rc = ENOMEM;
 		goto out;
 	}
 	
-	rc = vfs_lookup_open(fname, WALK_REGULAR, MODE_READ, &fd);
-	if (rc != EOK) {
+	fd = vfs_lookup_open(fname, WALK_REGULAR, MODE_READ);
+	if (fd < 0) {
 		rc = send_response(conn, msg_not_found);
 		goto out;
@@ -302,9 +303,9 @@
 }
 
-static errno_t req_process(tcp_conn_t *conn, recv_t *recv)
+static int req_process(tcp_conn_t *conn, recv_t *recv)
 {
 	char *reqline = NULL;
 
-	errno_t rc = recv_line(recv, &reqline);
+	int rc = recv_line(recv, &reqline);
 	if (rc != EOK) {
 		fprintf(stderr, "recv_line() failed\n");
@@ -355,8 +356,8 @@
 }
 
-static errno_t parse_option(int argc, char *argv[], int *index)
+static int parse_option(int argc, char *argv[], int *index)
 {
 	int value;
-	errno_t rc;
+	int rc;
 	
 	switch (argv[*index][1]) {
@@ -403,5 +404,5 @@
 static void websrv_new_conn(tcp_listener_t *lst, tcp_conn_t *conn)
 {
-	errno_t rc;
+	int rc;
 	recv_t *recv = NULL;
 	
@@ -443,5 +444,5 @@
 	tcp_listener_t *lst;
 	tcp_t *tcp;
-	errno_t rc;
+	int rc;
 	
 	/* Parse command line arguments */
Index: uspace/app/wifi_supplicant/wifi_supplicant.c
===================================================================
--- uspace/app/wifi_supplicant/wifi_supplicant.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/wifi_supplicant/wifi_supplicant.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,6 +41,4 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <str.h>
-#include <str_error.h>
 #include <loc.h>
 
@@ -88,8 +86,8 @@
 }
 
-static errno_t get_wifi_list(service_id_t **wifis, size_t *count)
+static int get_wifi_list(service_id_t **wifis, size_t *count)
 {
 	category_id_t wifi_cat;
-	errno_t rc = loc_category_get_id("ieee80211", &wifi_cat, 0);
+	int rc = loc_category_get_id("ieee80211", &wifi_cat, 0);
 	if (rc != EOK) {
 		printf("Error resolving category 'ieee80211'.\n");
@@ -111,5 +109,5 @@
 	size_t count;
 	
-	errno_t rc = get_wifi_list(&wifis, &count);
+	int rc = get_wifi_list(&wifis, &count);
 	if (rc != EOK) {
 		printf("Error fetching wifi list.\n");
@@ -134,12 +132,12 @@
 }
 
-static errno_t wifi_list(void)
+static int wifi_list(void)
 {
 	service_id_t *wifis = NULL;
 	size_t count;
 	
-	errno_t rc = get_wifi_list(&wifis, &count);
-	if (rc != EOK) {
-		printf("Error fetching wifi list: %s\n", str_error(rc));
+	int rc = get_wifi_list(&wifis, &count);
+	if (rc != EOK) {
+		printf("Error fetching wifi list.\n");
 		return EINVAL;
 	}
@@ -150,5 +148,5 @@
 		rc = loc_service_get_name(wifis[i], &svc_name);
 		if (rc != EOK) {
-			printf("Error getting service name: %s\n", str_error(rc));
+			printf("Error getting service name.\n");
 			free(wifis);
 			return rc;
@@ -163,5 +161,5 @@
 }
 
-static errno_t wifi_connect(uint32_t index, char *ssid_start, char *password)
+static int wifi_connect(uint32_t index, char *ssid_start, char *password)
 {
 	assert(ssid_start);
@@ -174,11 +172,11 @@
 	}
 	
-	errno_t rc = ieee80211_disconnect(sess);
+	int rc = ieee80211_disconnect(sess);
 	if(rc != EOK) {
 		if (rc == EREFUSED)
 			printf("Device is not ready yet.\n");
 		else
-			printf("Error when disconnecting device: %s\n",
-			    str_error(rc));
+			printf("Error when disconnecting device. "
+			    "Error: %d\n", rc);
 		
 		return rc;
@@ -194,6 +192,6 @@
 			printf("Given SSID not in scan results.\n");
 		else
-			printf("Error when connecting to network: %s\n",
-			    str_error(rc));
+			printf("Error when connecting to network. "
+			    "Error: %d\n", rc);
 		
 		return rc;
@@ -207,5 +205,5 @@
 }
 
-static errno_t wifi_disconnect(uint32_t index)
+static int wifi_disconnect(uint32_t index)
 {
 	async_sess_t *sess = get_wifi_by_index(index);
@@ -216,5 +214,5 @@
 	}
 	
-	errno_t rc = ieee80211_disconnect(sess);
+	int rc = ieee80211_disconnect(sess);
 	if (rc != EOK) {
 		if (rc == EREFUSED)
@@ -223,6 +221,6 @@
 			printf("Not connected to any WiFi network.\n");
 		else
-			printf("Error when disconnecting from network: %s\n",
-			    str_error(rc));
+			printf("Error when disconnecting from network. "
+			    "Error: %d\n", rc);
 		
 		return rc;
@@ -234,5 +232,5 @@
 }
 
-static errno_t wifi_scan(uint32_t index, bool now)
+static int wifi_scan(uint32_t index, bool now)
 {
 	async_sess_t *sess = get_wifi_by_index(index);
@@ -244,11 +242,10 @@
 	
 	ieee80211_scan_results_t scan_results;
-	errno_t rc = ieee80211_get_scan_results(sess, &scan_results, now);
+	int rc = ieee80211_get_scan_results(sess, &scan_results, now);
 	if (rc != EOK) {
 		if (rc == EREFUSED)
 			printf("Device is not ready yet.\n");
 		else
-			printf("Failed to fetch scan results: %s\n",
-			    str_error(rc));
+			printf("Failed to fetch scan results. Error: %d\n", rc);
 		
 		return rc;
@@ -278,8 +275,8 @@
 int main(int argc, char *argv[])
 {
-	errno_t rc = inetcfg_init();
-	if (rc != EOK) {
-		printf("%s: Failed connecting to inetcfg service: %s.\n",
-		    NAME, str_error(rc));
+	int rc = inetcfg_init();
+	if (rc != EOK) {
+		printf("%s: Failed connecting to inetcfg service (%d).\n",
+		    NAME, rc);
 		return 1;
 	}
@@ -287,6 +284,6 @@
 	rc = dhcp_init();
 	if (rc != EOK) {
-		printf("%s: Failed connecting to dhcp service: %s.\n",
-		    NAME, str_error(rc));
+		printf("%s: Failed connecting to dhcp service (%d).\n",
+		    NAME, rc);
 		return 1;
 	}
Index: uspace/drv/audio/hdaudio/codec.c
===================================================================
--- uspace/drv/audio/hdaudio/codec.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/audio/hdaudio/codec.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,5 +37,4 @@
 #include <ddf/log.h>
 #include <errno.h>
-#include <str_error.h>
 #include <stdlib.h>
 
@@ -46,5 +45,5 @@
 #include "stream.h"
 
-static errno_t hda_ccmd(hda_codec_t *codec, int node, uint32_t vid, uint32_t payload,
+static int hda_ccmd(hda_codec_t *codec, int node, uint32_t vid, uint32_t payload,
     uint32_t *resp)
 {
@@ -66,5 +65,5 @@
 		    (payload & 0xffff);
 	}
-	errno_t rc = hda_cmd(codec->hda, verb, resp);
+	int rc = hda_cmd(codec->hda, verb, resp);
 /*
 	if (resp != NULL) {
@@ -78,5 +77,5 @@
 }
 
-static errno_t hda_get_parameter(hda_codec_t *codec, int node, hda_param_id_t param,
+static int hda_get_parameter(hda_codec_t *codec, int node, hda_param_id_t param,
     uint32_t *resp)
 {
@@ -84,8 +83,8 @@
 }
 
-static errno_t hda_get_subnc(hda_codec_t *codec, int node, int *startnode,
+static int hda_get_subnc(hda_codec_t *codec, int node, int *startnode,
     int *nodecount)
 {
-	errno_t rc;
+	int rc;
 	uint32_t resp;
 
@@ -103,8 +102,8 @@
 
 /** Get Function Group Type */
-static errno_t hda_get_fgrp_type(hda_codec_t *codec, int node, bool *unsol,
+static int hda_get_fgrp_type(hda_codec_t *codec, int node, bool *unsol,
     hda_fgrp_type_t *type)
 {
-	errno_t rc;
+	int rc;
 	uint32_t resp;
 
@@ -119,8 +118,8 @@
 }
 
-static errno_t hda_get_clist_len(hda_codec_t *codec, int node, bool *longform,
+static int hda_get_clist_len(hda_codec_t *codec, int node, bool *longform,
     int *items)
 {
-	errno_t rc;
+	int rc;
 	uint32_t resp;
 
@@ -135,15 +134,15 @@
 }
 
-static errno_t hda_get_clist_entry(hda_codec_t *codec, int node, int n, uint32_t *resp)
+static int hda_get_clist_entry(hda_codec_t *codec, int node, int n, uint32_t *resp)
 {
 	return hda_ccmd(codec, node, hda_clist_entry_get, n, resp);
 }
 
-static errno_t hda_get_eapd_btl_enable(hda_codec_t *codec, int node, uint32_t *resp)
+static int hda_get_eapd_btl_enable(hda_codec_t *codec, int node, uint32_t *resp)
 {
 	return hda_ccmd(codec, node, hda_eapd_btl_enable_get, 0, resp);
 }
 
-static errno_t hda_set_eapd_btl_enable(hda_codec_t *codec, int node, uint8_t payload)
+static int hda_set_eapd_btl_enable(hda_codec_t *codec, int node, uint8_t payload)
 {
 	return hda_ccmd(codec, node, hda_eapd_btl_enable_set, payload, NULL);
@@ -151,5 +150,5 @@
 
 /** Get Suppported PCM Size, Rates */
-static errno_t hda_get_supp_rates(hda_codec_t *codec, int node, uint32_t *rates)
+static int hda_get_supp_rates(hda_codec_t *codec, int node, uint32_t *rates)
 {
 	return hda_get_parameter(codec, node, hda_supp_rates, rates);
@@ -157,15 +156,15 @@
 
 /** Get Suppported Stream Formats */
-static errno_t hda_get_supp_formats(hda_codec_t *codec, int node, uint32_t *fmts)
+static int hda_get_supp_formats(hda_codec_t *codec, int node, uint32_t *fmts)
 {
 	return hda_get_parameter(codec, node, hda_supp_formats, fmts);
 }
 
-static errno_t hda_set_converter_fmt(hda_codec_t *codec, int node, uint16_t fmt)
+static int hda_set_converter_fmt(hda_codec_t *codec, int node, uint16_t fmt)
 {
 	return hda_ccmd(codec, node, hda_converter_fmt_set, fmt, NULL);
 }
 
-static errno_t hda_set_converter_ctl(hda_codec_t *codec, int node, uint8_t stream,
+static int hda_set_converter_ctl(hda_codec_t *codec, int node, uint8_t stream,
     uint8_t channel)
 {
@@ -176,12 +175,12 @@
 }
 
-static errno_t hda_set_pin_ctl(hda_codec_t *codec, int node, uint8_t pctl)
+static int hda_set_pin_ctl(hda_codec_t *codec, int node, uint8_t pctl)
 {
 	return hda_ccmd(codec, node, hda_pin_ctl_set, pctl, NULL);
 }
 
-static errno_t hda_get_pin_ctl(hda_codec_t *codec, int node, uint8_t *pctl)
-{
-	errno_t rc;
+static int hda_get_pin_ctl(hda_codec_t *codec, int node, uint8_t *pctl)
+{
+	int rc;
 	uint32_t resp;
 
@@ -195,8 +194,8 @@
 
 /** Get Audio Widget Capabilities */
-static errno_t hda_get_aw_caps(hda_codec_t *codec, int node,
+static int hda_get_aw_caps(hda_codec_t *codec, int node,
     hda_awidget_type_t *type, uint32_t *caps)
 {
-	errno_t rc;
+	int rc;
 	uint32_t resp;
 
@@ -212,5 +211,5 @@
 
 /** Get Pin Capabilities */
-static errno_t hda_get_pin_caps(hda_codec_t *codec, int node, uint32_t *caps)
+static int hda_get_pin_caps(hda_codec_t *codec, int node, uint32_t *caps)
 {
 	return hda_get_parameter(codec, node, hda_pin_caps, caps);
@@ -218,5 +217,5 @@
 
 /** Get Power State */
-static errno_t hda_get_power_state(hda_codec_t *codec, int node, uint32_t *pstate)
+static int hda_get_power_state(hda_codec_t *codec, int node, uint32_t *pstate)
 {
 	return hda_ccmd(codec, node, hda_power_state_get, 0, pstate);
@@ -224,10 +223,10 @@
 
 /** Get Configuration Default */
-static errno_t hda_get_cfg_def(hda_codec_t *codec, int node, uint32_t *cfgdef)
+static int hda_get_cfg_def(hda_codec_t *codec, int node, uint32_t *cfgdef)
 {
 	return hda_ccmd(codec, node, hda_cfg_def_get, 0, cfgdef);
 }
 
-static errno_t hda_get_conn_sel(hda_codec_t *codec, int node, uint32_t *conn)
+static int hda_get_conn_sel(hda_codec_t *codec, int node, uint32_t *conn)
 {
 	return hda_ccmd(codec, node, hda_conn_sel_get, 0, conn);
@@ -235,10 +234,10 @@
 
 /** Get Amplifier Gain / Mute  */
-static errno_t hda_get_amp_gain_mute(hda_codec_t *codec, int node, uint16_t payload,
+static int hda_get_amp_gain_mute(hda_codec_t *codec, int node, uint16_t payload,
     uint32_t *resp)
 {
 //	ddf_msg(LVL_NOTE, "hda_get_amp_gain_mute(codec, %d, %x)",
 //	    node, payload);
-	errno_t rc = hda_ccmd(codec, node, hda_amp_gain_mute_get, payload, resp);
+	int rc = hda_ccmd(codec, node, hda_amp_gain_mute_get, payload, resp);
 //	ddf_msg(LVL_NOTE, "hda_get_amp_gain_mute(codec, %d, %x, resp=%x)",
 //	    node, payload, *resp);
@@ -247,10 +246,10 @@
 
 /** Get GP I/O Count */
-static errno_t hda_get_gpio_cnt(hda_codec_t *codec, int node, uint32_t *resp)
+static int hda_get_gpio_cnt(hda_codec_t *codec, int node, uint32_t *resp)
 {
 	return hda_get_parameter(codec, node, hda_gpio_cnt, resp);
 }
 
-static errno_t hda_set_amp_gain_mute(hda_codec_t *codec, int node, uint16_t payload)
+static int hda_set_amp_gain_mute(hda_codec_t *codec, int node, uint16_t payload)
 {
 //	ddf_msg(LVL_NOTE, "hda_set_amp_gain_mute(codec, %d, %x)",
@@ -259,10 +258,10 @@
 }
 
-static errno_t hda_set_out_amp_max(hda_codec_t *codec, uint8_t aw)
+static int hda_set_out_amp_max(hda_codec_t *codec, uint8_t aw)
 {
 	uint32_t ampcaps;
 	uint32_t gmleft, gmright;
 	uint32_t offset;
-	errno_t rc;
+	int rc;
 
 	rc = hda_get_parameter(codec, aw,
@@ -294,5 +293,5 @@
 }
 
-static errno_t hda_set_in_amp_max(hda_codec_t *codec, uint8_t aw)
+static int hda_set_in_amp_max(hda_codec_t *codec, uint8_t aw)
 {
 	uint32_t ampcaps;
@@ -300,5 +299,5 @@
 	uint32_t offset;
 	int i;
-	errno_t rc;
+	int rc;
 
 	rc = hda_get_parameter(codec, aw,
@@ -332,7 +331,7 @@
 }
 
-static errno_t hda_clist_dump(hda_codec_t *codec, uint8_t aw)
-{
-	errno_t rc;
+static int hda_clist_dump(hda_codec_t *codec, uint8_t aw)
+{
+	int rc;
 	bool longform;
 	int len;
@@ -394,7 +393,7 @@
 }
 
-static errno_t hda_pin_init(hda_codec_t *codec, uint8_t aw)
-{
-	errno_t rc;
+static int hda_pin_init(hda_codec_t *codec, uint8_t aw)
+{
+	int rc;
 	uint32_t cfgdef;
 	uint32_t pcaps;
@@ -471,7 +470,7 @@
 
 /** Init power-control in wiget capable of doing so. */
-static errno_t hda_power_ctl_init(hda_codec_t *codec, uint8_t aw)
-{
-	errno_t rc;
+static int hda_power_ctl_init(hda_codec_t *codec, uint8_t aw)
+{
+	int rc;
 	uint32_t pwrstate;
 
@@ -491,5 +490,5 @@
 {
 	hda_codec_t *codec;
-	errno_t rc;
+	int rc;
 	int sfg, nfg;
 	int saw, naw;
@@ -515,5 +514,5 @@
 		goto error;
 
-	ddf_msg(LVL_NOTE, "hda_get_subnc -> %s", str_error_name(rc));
+	ddf_msg(LVL_NOTE, "hda_get_subnc -> %d", rc);
 	ddf_msg(LVL_NOTE, "sfg=%d nfg=%d", sfg, nfg);
 
@@ -525,5 +524,5 @@
 			goto error;
 
-		ddf_msg(LVL_NOTE, "hda_get_fgrp_type -> %s", str_error_name(rc));
+		ddf_msg(LVL_NOTE, "hda_get_fgrp_type -> %d", rc);
 		ddf_msg(LVL_NOTE, "unsol: %d, grptype: %d", unsol, grptype);
 
@@ -547,5 +546,5 @@
 			goto error;
 
-		ddf_msg(LVL_NOTE, "hda_get_subnc -> %s", str_error_name(rc));
+		ddf_msg(LVL_NOTE, "hda_get_subnc -> %d", rc);
 		ddf_msg(LVL_NOTE, "saw=%d baw=%d", saw, naw);
 
@@ -639,7 +638,7 @@
 }
 
-errno_t hda_out_converter_setup(hda_codec_t *codec, hda_stream_t *stream)
-{
-	errno_t rc;
+int hda_out_converter_setup(hda_codec_t *codec, hda_stream_t *stream)
+{
+	int rc;
 	int out_aw;
 	int i;
@@ -666,7 +665,7 @@
 }
 
-errno_t hda_in_converter_setup(hda_codec_t *codec, hda_stream_t *stream)
-{
-	errno_t rc;
+int hda_in_converter_setup(hda_codec_t *codec, hda_stream_t *stream)
+{
+	int rc;
 
 	/* Configure converter */
Index: uspace/drv/audio/hdaudio/codec.h
===================================================================
--- uspace/drv/audio/hdaudio/codec.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/audio/hdaudio/codec.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -52,6 +52,6 @@
 extern hda_codec_t *hda_codec_init(hda_t *, uint8_t);
 extern void hda_codec_fini(hda_codec_t *);
-extern errno_t hda_out_converter_setup(hda_codec_t *, hda_stream_t *);
-extern errno_t hda_in_converter_setup(hda_codec_t *, hda_stream_t *);
+extern int hda_out_converter_setup(hda_codec_t *, hda_stream_t *);
+extern int hda_in_converter_setup(hda_codec_t *, hda_stream_t *);
 
 #endif
Index: uspace/drv/audio/hdaudio/hdactl.c
===================================================================
--- uspace/drv/audio/hdaudio/hdactl.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/audio/hdaudio/hdactl.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -64,5 +64,5 @@
  * to read as 0.
  */
-static errno_t hda_ctl_reg16_set_reset(uint16_t *reg, uint16_t mask)
+static int hda_ctl_reg16_set_reset(uint16_t *reg, uint16_t mask)
 {
 	uint16_t val;
@@ -116,5 +116,5 @@
  *
  */
-static errno_t hda_rb_size_select(uint8_t sizecap, uint8_t *selsz)
+static int hda_rb_size_select(uint8_t sizecap, uint8_t *selsz)
 {
 	int i;
@@ -146,5 +146,5 @@
 
 /** Initialize the CORB */
-static errno_t hda_corb_init(hda_t *hda)
+static int hda_corb_init(hda_t *hda)
 {
 	uint8_t ctl;
@@ -152,5 +152,5 @@
 	uint8_t sizecap;
 	uint8_t selsz;
-	errno_t rc;
+	int rc;
 
 	ddf_msg(LVL_NOTE, "hda_corb_init()");
@@ -237,5 +237,5 @@
 
 /** Initialize the RIRB */
-static errno_t hda_rirb_init(hda_t *hda)
+static int hda_rirb_init(hda_t *hda)
 {
 	uint8_t ctl;
@@ -243,5 +243,5 @@
 	uint8_t sizecap;
 	uint8_t selsz;
-	errno_t rc;
+	int rc;
 
 	ddf_msg(LVL_NOTE, "hda_rirb_init()");
@@ -372,5 +372,5 @@
 
 /** Write to CORB */
-static errno_t hda_corb_write(hda_t *hda, uint32_t *data, size_t count)
+static int hda_corb_write(hda_t *hda, uint32_t *data, size_t count)
 {
 	size_t avail;
@@ -414,5 +414,5 @@
 }
 
-static errno_t hda_rirb_read(hda_t *hda, hda_rirb_entry_t *data)
+static int hda_rirb_read(hda_t *hda, hda_rirb_entry_t *data)
 {
 	size_t wp;
@@ -436,5 +436,5 @@
 }
 
-static errno_t hda_solrb_read(hda_t *hda, hda_rirb_entry_t *data, size_t count)
+static int hda_solrb_read(hda_t *hda, hda_rirb_entry_t *data, size_t count)
 {
 	hda_rirb_entry_t resp;
@@ -490,5 +490,5 @@
 	uint32_t intctl;
 	int cnt;
-	errno_t rc;
+	int rc;
 
 	ctl = calloc(1, sizeof(hda_ctl_t));
@@ -615,7 +615,7 @@
 }
 
-errno_t hda_cmd(hda_t *hda, uint32_t verb, uint32_t *resp)
-{
-	errno_t rc;
+int hda_cmd(hda_t *hda, uint32_t verb, uint32_t *resp)
+{
+	int rc;
 	hda_rirb_entry_t rentry;
 
@@ -639,5 +639,5 @@
 {
 	hda_rirb_entry_t resp;
-	errno_t rc;
+	int rc;
 
 	while (true) {
Index: uspace/drv/audio/hdaudio/hdactl.h
===================================================================
--- uspace/drv/audio/hdaudio/hdactl.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/audio/hdaudio/hdactl.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -78,5 +78,5 @@
 extern void hda_ctl_fini(hda_ctl_t *);
 extern void hda_ctl_interrupt(hda_ctl_t *);
-extern errno_t hda_cmd(hda_t *, uint32_t, uint32_t *);
+extern int hda_cmd(hda_t *, uint32_t, uint32_t *);
 extern void hda_ctl_dump_info(hda_ctl_t *);
 
